﻿# Borg Zenity

Une interface graphique en français pour BorgBackup.

Pre-requis : Borg-zeniy utilise `borgbackup` et `zenity` pour fonctionner.
Le script devrait les installer automatiquement en détectant votre distribution.
S'il n'y parvient pas vous devrez les installer manuellement.

## Installation (version stable)
L'installation devrait pouvoir se faire en une ligne de commande. Copiez ceci dans votre terminal.
```
wget -O borg-zenity.zip https://git.djan-gicquel.fr/borg-zenity/zipball/stable && unzip -d borg-zenity borg-zenity.zip && cd borg-zenity && bash install.sh
```
Cette commande va télécharger les fichiers d'installation et exécuter le script d'installation.

Vous devrez entrer votre mot de passe utilisateur et cet utilisateur devra avoir les droits root.

## Gestionnaire de profils
![icône gestionnaire de profils](captures/icone_profils.png)

Si vous n'utilisez pas encore `borgbackup` (ce qui normalement est le cas), il faudra tout d'abord créer un profil de sauvegarde.
Pour cela utiliser l’icône "Borg Zenity Profils" dans votre menu principal et sélectionnez «Créer un nouveau profil/dépôt».
Sélectionnez le dossier dans lequel sera créé le dépôt. C'est l'emplacement de votre sauvegarde, en général on utilise un disque dur externe.
Puis répondez à la question concernant le chiffrement du dépôt. Les fichiers du dépôt sont initialisés.
Sélectionnez ensuite un dossier à sauvegarder puis choisissez un nom de profil. Celui-ci sera stocké comme fichier donc évitez les espaces et les caractères spéciaux.


## Interface principale

Pour lancer l'interface principale cliquez sur l'icône «Borg Zenity Sauvegarde» dans le menu et sélectionnez le profil voulu.
![icône interface principale](captures/icone_sauvegarde.png)

Le selecteur de profils se lancera. Si vous n'avez qu'un seul profil, il n'y aura qu'une entrée dans cette liste.
![selecteur de profils](captures/selecteurdeprofils.png)

Voici l'interface principale.
![interface_principale](captures/interfaceprincipale.png)

En vocabulaire borg, une archive est une sauvegarde.

Pour créer une sauvegarde cliquez sur «Créer une archive». La première sauvegarde prendra du temps, les suivantes seront plus rapide.

Pour voir le contenu d'une archive déjà sauvegardée cliquez sur «Monter une archive». Un nouveau dossier sera créé en lecture seule dans votre dossier maison. Il contiendra les fichiers de l'archive. Pensez à démonter l'archive dans le menu correspondant avant de quitter Borg Zenity.

Pour quitter Borg Zenity sélectionnez «QUITTER» puis validez ceci afin pouvoir faire quelques tests avant de quitter le logiciel.
